package com.ejie.ab61.model.plantillas;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * CamposPlantilla  
 * 
 *  
 */

public class CamposPlantilla implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idCampo;
	private String nombreCampo;
	private String selectCampo;
	private String nombreXml;
	private String descripcion;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private Integer idTipoCampo;
	private Integer idDocumento;
	private TipoCampo tipoCampo;
	private Integer relplacam;

	/**
	 * Method 'CamposPlantilla'.
	 */
	public CamposPlantilla() {
	}

	/**
	 * Method 'CamposPlantilla'.
	 * 
	 * @param idCampo
	 *            Integer
	 */
	public CamposPlantilla(Integer idCampo) {
		this.idCampo = idCampo;
	}

	/**
	 * Method 'CamposPlantilla'.
	 * 
	 * @param idCampo
	 *            Integer
	 * @param nombreCampo
	 *            String
	 * 
	 */
	public CamposPlantilla(Integer idCampo, String nombreCampo) {

		this.idCampo = idCampo;
		this.nombreCampo = nombreCampo;

	}

	/**
	 * Method 'CamposPlantilla'.
	 * 
	 * @param idCampo
	 *            Integer
	 * @param nombreCampo
	 *            String
	 * @param selectCampo
	 *            String
	 * @param nombreXml
	 *            String
	 * @param descripcion
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param idTipoCampo
	 *            Integer
	 * @param idDocumento
	 *            Integer
	 * @param tipoCampo
	 *            TipoCampo
	 */
	public CamposPlantilla(Integer idCampo, String nombreCampo, String selectCampo, String nombreXml,
			String descripcion, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion, Integer idTipoCampo, Integer idDocumento, TipoCampo tipoCampo) {

		this.idCampo = idCampo;
		this.nombreCampo = nombreCampo;
		this.selectCampo = selectCampo;
		this.nombreXml = nombreXml;
		this.descripcion = descripcion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.idTipoCampo = idTipoCampo;
		this.idDocumento = idDocumento;
		this.tipoCampo = tipoCampo;

	}

	public CamposPlantilla(Integer idCampo, String nombreCampo, String selectCampo, String nombreXml,
			String descripcion, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion, Integer idTipoCampo, Integer idDocumento, Integer relplacam,
			TipoCampo tipoCampo) {

		this.idCampo = idCampo;
		this.nombreCampo = nombreCampo;
		this.selectCampo = selectCampo;
		this.nombreXml = nombreXml;
		this.descripcion = descripcion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.idTipoCampo = idTipoCampo;
		this.idDocumento = idDocumento;
		this.tipoCampo = tipoCampo;
		this.relplacam = relplacam;
	}

	/**
	 * Method 'getIdCampo'.
	 *
	 * @return Integer
	 */

	public Integer getIdCampo() {
		return this.idCampo;
	}

	/**
	 * Method 'setIdCampo'.
	 *
	 * @param idCampo
	 *            Integer
	 * @return
	 */

	public void setIdCampo(Integer idCampo) {
		this.idCampo = idCampo;
	}

	/**
	 * Method 'getNombreCampo'.
	 *
	 * @return String
	 */

	public String getNombreCampo() {
		return this.nombreCampo;
	}

	/**
	 * Method 'setNombreCampo'.
	 *
	 * @param nombreCampo
	 *            String
	 * @return
	 */

	public void setNombreCampo(String nombreCampo) {
		this.nombreCampo = nombreCampo;
	}

	/**
	 * Method 'getSelectCampo'.
	 *
	 * @return String
	 */

	public String getSelectCampo() {
		return this.selectCampo;
	}

	/**
	 * Method 'setSelectCampo'.
	 *
	 * @param selectCampo
	 *            String
	 * @return
	 */

	public void setSelectCampo(String selectCampo) {
		this.selectCampo = selectCampo;
	}

	/**
	 * Method 'getNombreXml'.
	 *
	 * @return String
	 */

	public String getNombreXml() {
		return this.nombreXml;
	}

	/**
	 * Method 'setNombreXml'.
	 *
	 * @param nombreXml
	 *            String
	 * @return
	 */

	public void setNombreXml(String nombreXml) {
		this.nombreXml = nombreXml;
	}

	/**
	 * Method 'getDescripcion'.
	 *
	 * @return String
	 */

	public String getDescripcion() {
		return this.descripcion;
	}

	/**
	 * Method 'setDescripcion'.
	 *
	 * @param descripcion
	 *            String
	 * @return
	 */

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the fechaUltmodificacion
	 */
	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	/**
	 * @param fechaUltmodificacion
	 *            the fechaUltmodificacion to set
	 */
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the idTipoCampo
	 */
	public Integer getIdTipoCampo() {
		return idTipoCampo;
	}

	/**
	 * @param idTipoCampo
	 *            the idTipoCampo to set
	 */
	public void setIdTipoCampo(Integer idTipoCampo) {
		this.idTipoCampo = idTipoCampo;
	}

	/**
	 * @return the idDocumento
	 */
	public Integer getIdDocumento() {
		return idDocumento;
	}

	/**
	 * @param idDocumento
	 *            the idDocumento to set
	 */
	public void setIdDocumento(Integer idDocumento) {
		this.idDocumento = idDocumento;
	}

	/**
	 * @return the tipoCampo
	 */
	public TipoCampo getTipoCampo() {
		return tipoCampo;
	}

	/**
	 * @param tipoCampo
	 *            the tipoCampo to set
	 */
	public void setTipoCampo(TipoCampo tipoCampo) {
		this.tipoCampo = tipoCampo;
	}

	/**
	 * @return the relplacam
	 */
	public Integer getRelplacam() {
		return relplacam;
	}

	/**
	 * @param relplacam
	 *            the relplacam to set
	 */
	public void setRelplacam(Integer relplacam) {
		this.relplacam = relplacam;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "CamposPlantilla [idCampo=" + idCampo + ", nombreCampo=" + nombreCampo + ", selectCampo=" + selectCampo
				+ ", nombreXml=" + nombreXml + ", descripcion=" + descripcion + ", fechaRegistro=" + fechaRegistro
				+ ", usuarioRegistro=" + usuarioRegistro + ", idTipoCampo=" + idTipoCampo + ", idDocumento="
				+ idDocumento + ", tipoCampo=" + tipoCampo + "]";
	}

}